## networking-bagpipe 23.0.0~rc1

=== debian/changelog ===
networking-bagpipe (23.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:26:37 +0000

networking-bagpipe (23.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:56:44 +0200

networking-bagpipe (23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 09:45:42 +0200

networking-bagpipe (22.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:27:45 +0200

networking-bagpipe (22.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:22:45 +0100

networking-bagpipe (22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Mar 2025 18:22:24 +0100

## networking-bagpipe 23.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

netaddr>=0.7.18 # BSD
neutron-lib>=2.19.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
pyroute2>=0.5.7;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
stevedore>=1.20.0 # Apache-2.0
exabgp>=4.0.4 # BSD
pecan>=1.3.2 # BSD

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
neutron>=23.0.0 # Apache-2.0
networking-bgpvpn>=12.0.0 # Apache-2.0
networking-sfc>=10.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== doc/requirements.txt ===
# NOTE(armax): requirements to the specs repo is kept out of sync
# with g-r on purpose, as g-r is just for projects affecting the
# integrated gate. Any sync must happen manually as recommended by
# the openstack release team.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== networking_bagpipe/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psutil>=1.1.1
psycopg2
PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
networking-bagpipe (23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:28:05 +0200

=== debian/control ===
Source: networking-bagpipe
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-exabgp,
 python3-hacking,
 python3-isort,
 python3-netaddr,
 python3-networking-bgpvpn,
 python3-networking-sfc,
 python3-neutron (>= 2:24.0.0~),
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pecan,
 python3-pyroute2,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Homepage: http://github.com/openstack/networking-babpipe
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bagpipe.git

Package: networking-bagpipe-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-based VPN - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.
 .
 This package contains the documentation.

Package: python3-networking-bagpipe
Architecture: all
Section: python
Depends:
 python3-exabgp,
 python3-netaddr,
 python3-networking-bgpvpn,
 python3-networking-sfc,
 python3-neutron (>= 2:24.0.0~),
 python3-neutron-lib,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pyroute2,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bagpipe-doc,
Description: OpenStack virtual network service - BGP-based VPN - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.

Package: networking-bagpipe-bgp-agent
Architecture: all
Depends:
 python3-networking-bagpipe (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-networking-bagpipe (<< 19.0.0-2~),
Replaces:
 python3-networking-bagpipe (<< 19.0.0-2~),
Description: OpenStack virtual network service - BGP-based VPN - agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the bgp agent, to be setup on each compute nodes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info doc/source/_static/config_samples
	rm -f debian/networking-bagpipe-bgp-agent.init debian/networking-bagpipe-bgp-agent.service
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	echo "Disabled tests until networking-bgpvpn is in Debian..."
	pkgos-dh_auto_test --no-py2 'networking_bagpipe\.tests\.unit.*'
endif

	mkdir -p $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/bagpipe-bgp.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.api \
		--namespace networking_bagpipe.bgp_common \
		--namespace networking_bagpipe.run_command \
		--namespace networking_bagpipe.dataplane.ipvpn \
		--namespace networking_bagpipe.dataplane.evpn

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/dataplane-evpn-linux-vxlan.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.dataplane.evpn.linux_vxlan

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/dataplane-ipvpn-mpls-linux.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.dataplane.ipvpn.mpls_linux

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/dataplane-ipvpn-mpls-ovs.conf \
		--wrap-width 140 \
		--namespace networking_bagpipe.dataplane.ipvpn.mpls_ovs

	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bagpipe/etc/bagpipe-bgp/neutron-agent.ini \
		--wrap-width 140 \
		--namespace networking_bagpipe.bagpipe_bgp_agent

	dh_install
	rm -rf $(CURDIR)/debian/tmp/etc
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/networking-bagpipe-doc/usr/share/doc/networking-bagpipe-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutil
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/networking-bagpipe/tags .*/(\d[brc\d\.]+)\.tar\.gz

## networking-bagpipe 23.0.0+git20260106.7.490f6d2

=== debian/changelog ===
networking-bagpipe (23.0.0+git20260106.7.490f6d2-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 23.0.0+git20260106.7.490f6d2
  * New upstream snapshot from 490f6d298ad0159218ac33c2db554c1c436d1656
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 14:38:19 -0800

networking-bagpipe (23.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:29:02 -0700

networking-bagpipe (23.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 14:47:11 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/networking-bagpipe/ networking_bagpipe-(\d{1,2}\.\d.*)\.tar\.gz
